Uploaded image for project: 'jclouds'
  1. jclouds
  2. JCLOUDS-1379

incompatible instance types selected in new AWS regions

    Details

    • Type: Bug
    • Status: Open
    • Priority: Major
    • Resolution: Unresolved
    • Affects Version/s: 2.0.3
    • Fix Version/s: None
    • Component/s: jclouds-compute
    • Labels:

      Description

      Using AWS EC2, if I specify minRam 4096M and minCores 4, I get a VM fine in some regions (eu-west-1) but errors in others (eu-west-2)

      AWSResponseException: request POST https://ec2.eu-west-2.amazonaws.com/ HTTP/1.1 failed with code 400, error: AWSError{requestId='...', requestToken='null', code='Unsupported', message='The requested configuration is currently not supported. Please check the documentation for supported configurations.' ...}

      I assume this is because some instance types are not available in some regions.

      Can we do further filtering on instance type selection so that minRam/minCores work as expected?

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              alex.heneveld Alex Heneveld
            • Votes:
              2 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated: